Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Interface DrawingSupplier

All Known Implementing Classes:
  DefaultDrawingSupplier

public interface DrawingSupplier

A supplier of `Paint` and `Stroke` objects.

To support the cloning of charts, classes that implement this interface should also implement `PublicCloneable`.

Method Summary
`java.awt.Paint` | `getNextOutlinePaint()` Returns the next outline paint in a sequence maintained by the supplier.
`java.awt.Stroke` | `getNextOutlineStroke()` Returns the next `Stroke` object in a sequence maintained by the supplier.
`java.awt.Paint` | `getNextPaint()` Returns the next paint in a sequence maintained by the supplier.
`java.awt.Shape` | `getNextShape()` Returns the next `Shape` object in a sequence maintained by the supplier.
`java.awt.Stroke` | `getNextStroke()` Returns the next `Stroke` object in a sequence maintained by the supplier.

Method Detail

### getNextPaint

    public java.awt.Paint getNextPaint()

  Returns the next paint in a sequence maintained by the supplier.

  Returns:
    The paint.

### getNextOutlinePaint

    public java.awt.Paint getNextOutlinePaint()

  Returns the next outline paint in a sequence maintained by the supplier.

  Returns:
    The paint.

### getNextStroke

    public java.awt.Stroke getNextStroke()

  Returns the next `Stroke` object in a sequence maintained by the supplier.

  Returns:
    The stroke.

### getNextOutlineStroke

    public java.awt.Stroke getNextOutlineStroke()

  Returns the next `Stroke` object in a sequence maintained by the supplier.

  Returns:
    The stroke.

### getNextShape

    public java.awt.Shape getNextShape()

  Returns the next `Shape` object in a sequence maintained by the supplier.

  Returns:
    The shape.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD